package com.yunzhupaas.base.model.base;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ：云筑产品开发平台组
 * @version: V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date ：2022/6/22 14:26
 */
@Data
public class SystemBaeModel extends SystemCrModel implements Serializable {

    private String id;
    private Long creatorTime;
    private Date creatorTimes;

    public Long getCreatorTime() {
        if (this.creatorTimes != null && this.creatorTime == null) {
            return this.getCreatorTimes().getTime();
        } else if (this.creatorTime != null){
            return this.creatorTime;
        }
        return 0L;
    }

}

